aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Lezcano <daniel.lezcano@linaro.org>2011-07-26 14:39:00 +0200
committerDaniel Lezcano <daniel.lezcano@linaro.org>2011-07-26 14:39:00 +0200
commit9fb906e116f603a1dfaf33f739c20f74e7996e19 (patch)
treeabdd3cd3efb2e7359ea3f40a376ba7e8f58739ad
parentb2f92fa853b96da53c90c0d07328d36e6f3d592e (diff)
test the change of the frequency is effective in 'userspace' mode
Signed-off-by: Daniel Lezcano <daniel.lezcano@linaro.org>
-rw-r--r--cpufreq/test_04.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/cpufreq/test_04.sh b/cpufreq/test_04.sh
new file mode 100644
index 0000000..97ec682
--- /dev/null
+++ b/cpufreq/test_04.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on ARM
+#
+# Copyright (C) 2011, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Daniel Lezcano <daniel.lezcano@linaro.org> (IBM Corporation)
+# - initial API and implementation
+#
+
+# URL : https://wiki.linaro.org/WorkingGroups/PowerManagement/Doc/QA/Scripts#test_04
+
+source ../include/functions.sh
+
+check_frequency() {
+
+ local cpu=$1
+ local newfreq=$2
+
+ shift 2
+
+ local oldgov=$(get_governor $cpu)
+ local oldfreq=$(get_frequency $cpu)
+
+ set_governor $cpu userspace
+ set_frequency $cpu $newfreq
+
+ check "setting frequency '$(frequnit $newfreq)'" "test \"$(get_frequency $cpu)\" == \"$newfreq\""
+
+ set_frequency $cpu $oldfreq
+ set_governor $cpu $oldgov
+}
+
+if [ $(id -u) != 0 ]; then
+ log_skip "run as non-root"
+ exit 0
+fi
+
+for_each_cpu for_each_frequency check_frequency || exit 1